package edu.umich.ac;

import android.content.Context;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.View;

public class EffectView extends View {
	
	private Bitmap mBitmap;
	private int [] colors;
	private int width;
	private int height;

	public EffectView(Context context) {
		super(context);
	}
	
	public EffectView(Context context, AttributeSet attrs) {
		super(context, attrs);
	}
	
	@Override
	protected void onDraw(Canvas canvas) {
		super.onDraw(canvas);
		if (colors != null) {
			filterRed();
			mBitmap = Bitmap.createBitmap(colors, width, height, Bitmap.Config.RGB_565);
			canvas.drawBitmap(mBitmap, null, new Rect(0, 0, canvas.getWidth(), canvas.getHeight()), null);
			//canvas.drawBitmap(mBitmap, 0, 0, null);
		}
	}
	
	public void setImage(Bitmap image) {
		mBitmap = image;
	}
	
	public void setColors(int [] colors) {
		this.colors = colors;
	}
	
	public void setSize(int width, int height) {
		this.width = width;
		this.height = height;
	}
	
	protected void filterRed() {
		for (int i = 0; i < colors.length; i++) {
			colors[i] &= 0xFFFF0000;
		}
	}
	
}
